<?php

namespace App\Http\Controllers;

use App\Models\Attendance;
use App\Models\Emp_attendance;
use Illuminate\Support\Facades\Auth;
use App\Models\Users;
use Carbon\Carbon;
use Illuminate\Http\Request;

class AttendanceController extends Controller
{

    public function index()
    {
        $users = Users::all();
        return view('dashforms.attendance.addattendance', compact('users'));
    }

    public function create(Request $request)
    {
        $attendance = new Attendance();
        $attendance->date = $request->date;
        $attendance->user_id = $request->user_id;
        /*$attendance->employee_name = $request->employee_name;*/
        $attendance->clock_in = $request->clock_in;
        $attendance->clock_out = $request->clock_out;
        $attendance->lunch_start = $request->lunch_start;
        $attendance->lunch_end = $request->lunch_end;

       
        $expectedStartTime = Carbon::parse($attendance->date . ' 09:00:00'); 
        $clockInTime = Carbon::parse($attendance->date . ' ' . $attendance->clock_in);

        
        $isLate = $clockInTime->gt($expectedStartTime);

        
        $attendance->is_late = $isLate;

       
        $clockIn = Carbon::parse($attendance->date . ' ' . $attendance->clock_in);
        $clockOut = Carbon::parse($attendance->date . ' ' . $attendance->clock_out);
        $lunchStart = Carbon::parse($attendance->date . ' ' . $attendance->lunch_start);
        $lunchEnd = Carbon::parse($attendance->date . ' ' . $attendance->lunch_end);

        
        $lunchDuration = $lunchEnd->diffInMinutes($lunchStart);

        
        $totalWorkingHours = $clockOut->diffInMinutes($clockIn) - $lunchDuration;

        
        $hours = intdiv($totalWorkingHours, 60);
        $minutes = $totalWorkingHours % 60;

        
        $formattedWorkingHours = sprintf('%02d:%02d', $hours, $minutes);

        
        $attendance->total_working_hours = $formattedWorkingHours;

        $attendance->save();

        return redirect()->route('show.attendees')->with('success', 'Attendance recorded successfully!');
    }


    /***public function create(Request $request)
    {
        $attendance = new Attendance();
        $attendance->date = $request->date;
        $attendance->user_id = $request->user_id;
        $attendance->clock_in = $request->clock_in;
        $attendance->clock_out = $request->clock_out;
        $attendance->lunch_start = $request->lunch_start;
        $attendance->lunch_end = $request->lunch_end;


        // Calculate if the employee is on time or late
        $expectedStartTime = Carbon::parse($attendance->date . ' 09:00:00'); //Expected start time is 9:00 AM
        $clockInTime = Carbon::parse($attendance->clock_in);
        $isLate = $clockInTime->gt($expectedStartTime); // Check if clock in time is greater than expected start time

        $attendance->is_late = $isLate;
        $attendance->save();


        return redirect()->back()->with('success', 'Attendance recorded successfully!');
    }**/

    public function show()
    {
        $attendance = Attendance::all();
        return view('dashforms.attendance.showattendance', compact('attendance'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Attendance $attendance)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Attendance $attendance)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id)
    {
        $attendance = Attendance::find($id);
        $attendance->delete();
        return redirect()->back()->with('success', 'Entry Delete Successfully');
    }

    //USERS ATTENDANCE LOGIC


    /*public function punchIn()
    {
        $attendance = new Emp_attendance();
        $attendance->user_id = Auth::id();
        $attendance->date = now()->toDateString();
        $attendance->punch_in = Carbon::now();
        $attendance->save();

        return redirect()->back()->with('success', 'Punched in successfully.');
    }

    public function punchOut()
    {
        $attendance = Emp_attendance::where('user_id', Auth::id())
            ->whereNull('punch_out')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->punch_out = Carbon::now();
            $attendance->save();
            return redirect()->back()->with('success', 'Punched out successfully.');
        }

        return redirect()->back()->with('error', 'No punch in record found.');
    }

    private function calculateTotalWorkingHours($attendances)
    {
        $totalHours = 0;

        foreach ($attendances as $attendance) {
            if ($attendance->punch_in && $attendance->punch_out) {
                $punchIn = Carbon::parse($attendance->punch_in);
                $punchOut = Carbon::parse($attendance->punch_out);
                $workingHours = $punchOut->diffInHours($punchIn);

                // Deducting lunch break duration
                $lunchBreak = 1;
                $workingHours -= $lunchBreak;

                $totalHours += $workingHours;
            }
        }

        return $totalHours;
    }*/

    /*public function employeeindex()
    {

        $attendances = Emp_attendance::where('user_id', Auth::id())->get();
        $totalWorkingHours = $this->calculateTotalWorkingHours($attendances);
        /*$lunchBreak = 1;
        return view('employee.attendance.addattendance', compact('attendances'));
    }*/

    /*public function employeeindex()
    {
        $attendances = Emp_attendance::where('user_id', Auth::id())->get();
        $totalWorkingHours = $this->calculateTotalWorkingHours($attendances);
        $attendanceAdded = !$attendances->isEmpty() && $attendances->last()->created_at->toDateString() === now()->toDateString();
        $punchInCompleted = $attendanceAdded && $attendances->last()->punch_in !== null;
        $lunchPunchInCompleted = $attendanceAdded && $attendances->last()->lunch_break_in !== null;
        $lunchPunchOutCompleted = $attendanceAdded && $attendances->last()->lunch_break_out !== null;
        $punchOutCompleted = $attendanceAdded && $attendances->last()->punch_out !== null;

        return view('employee.attendance.addattendance', compact('attendances', 'attendanceAdded', 'punchInCompleted', 'lunchPunchInCompleted', 'lunchPunchOutCompleted', 'punchOutCompleted'));
    }

    public function punchIn()
    {
        $attendance = new Emp_attendance();
        $attendance->user_id = Auth::id();
        $attendance->date = now()->toDateString();
        $attendance->punch_in = Carbon::now();
        $attendance->save();

        return redirect()->back()->with('success', 'Punched in successfully.');
    }

    public function punchOut()
    {
        $attendance = Emp_attendance::whereNull('punch_out')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->punch_out = Carbon::now();
            $attendance->working_hours = $this->calculateWorkingHours($attendance->punch_in, $attendance->punch_out);
            $attendance->save();
            return redirect()->back()->with('success', 'Punched out successfully.');
        }

        return redirect()->back()->with('error', 'No punch in record found.');
    }

    public function lunchBreakPunchIn()
    {
        $attendance = Emp_attendance::whereNull('lunch_break_in')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->lunch_break_in = Carbon::now();
            $attendance->save();
            return redirect()->back()->with('success', 'Lunch break punched in successfully.');
        }

        return redirect()->back()->with('error', 'Already punched in for lunch break.');
    }

    public function lunchBreakPunchOut()
    {
        $attendance = Emp_attendance::whereNotNull('lunch_break_in')
            ->whereNull('lunch_break_out')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->lunch_break_out = Carbon::now();
            $attendance->lunch_break_hours = $this->calculateLunchBreakHours($attendance->lunch_break_in, $attendance->lunch_break_out);
            $attendance->save();
            return redirect()->back()->with('success', 'Lunch break punched out successfully.');
        }

        return redirect()->back()->with('error', 'No lunch break in record found.');
    }

    private function calculateLunchBreakHours($lunchBreakIn, $lunchBreakOut)
    {
        $lunchBreakIn = Carbon::parse($lunchBreakIn);
        $lunchBreakOut = Carbon::parse($lunchBreakOut);
        return $lunchBreakOut->diffInHours($lunchBreakIn);
    }

    /*public function calculateTotalWorkingHours($attendances)
    {
        $totalHours = 0;

        foreach ($attendances as $attendance) {
            if ($attendance->working_hours) {
                $totalHours += $attendance->working_hours;
            }
        }

        return $totalHours;
    }*/

    /* public function calculateTotalWorkingHours($attendances)
    {
        $totalSeconds = 0;

        foreach ($attendances as $attendance) {
            if ($attendance->working_hours) {
                $totalSeconds += $attendance->working_hours * 3600; // Convert hours to seconds
            }
        }

        $hours = floor($totalSeconds / 3600);
        $totalSeconds %= 3600;
        $minutes = floor($totalSeconds / 60);
        $seconds = $totalSeconds % 60;

        return [
            'hours' => $hours,
            'minutes' => $minutes,
            'seconds' => $seconds
        ];
    }


    private function calculateWorkingHours($punchIn, $punchOut)
    {
        $punchIn = Carbon::parse($punchIn);
        $punchOut = Carbon::parse($punchOut);
        return $punchOut->diffInHours($punchIn);
    }*/


    public function empdestroy($id)
    {
        $attendance = Emp_attendance::find($id);
        $attendance->delete();
        return redirect()->back()->with('success', 'Entry Delete Successfully');
    }


    public function employeeindex()
    {
        $attendances = Emp_attendance::where('user_id', Auth::id())->get();
        $totalWorkingHours = $this->calculateTotalWorkingHours($attendances);
        $attendanceAdded = !$attendances->isEmpty() && $attendances->last()->created_at->toDateString() === now()->toDateString();
        $punchInCompleted = $attendanceAdded && $attendances->last()->punch_in !== null;
        $lunchPunchInCompleted = $attendanceAdded && $attendances->last()->lunch_break_in !== null;
        $lunchPunchOutCompleted = $attendanceAdded && $attendances->last()->lunch_break_out !== null;
        $punchOutCompleted = $attendanceAdded && $attendances->last()->punch_out !== null;

        return view('employee.attendance.addattendance', compact('attendances', 'attendanceAdded', 'punchInCompleted', 'lunchPunchInCompleted', 'lunchPunchOutCompleted', 'punchOutCompleted'));
    }

    public function punchIn()
    {
        $attendance = new Emp_attendance();
        $attendance->user_id = Auth::id();
        $attendance->date = now()->toDateString();
        $attendance->punch_in = Carbon::now();
        $attendance->save();

        return redirect()->back()->with('success', 'Punched in successfully.');
    }

    public function punchOut()
    {
        $attendance = Emp_attendance::whereNull('punch_out')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->punch_out = Carbon::now();
            $attendance->working_hours = $this->calculateWorkingHours($attendance->punch_in, $attendance->punch_out);
            $attendance->save();
            return redirect()->back();
        }

        return redirect()->back()->with('error', 'No punch in record found.');
    }

    public function lunchBreakPunchIn()
    {
        $attendance = Emp_attendance::whereNull('lunch_break_in')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->lunch_break_in = Carbon::now();
            $attendance->save();
            return redirect()->back()->with('success', 'Lunch break punched in successfully.');
        }

        return redirect()->back()->with('error', 'Already punched in for lunch break.');
    }

    public function lunchBreakPunchOut()
    {
        $attendance = Emp_attendance::whereNotNull('lunch_break_in')
            ->whereNull('lunch_break_out')
            ->latest()
            ->first();

        if ($attendance) {
            $attendance->lunch_break_out = Carbon::now();
            $attendance->lunch_break_hours = $this->calculateLunchBreakHours($attendance->lunch_break_in, $attendance->lunch_break_out);
            $attendance->save();
            return redirect()->back()->with('success', 'Lunch break punched out successfully.');
        }

        return redirect()->back()->with('error', 'No lunch break in record found.');
    }

    public function adminPunchIn(Request $request)
    {
        // Validate the incoming request data
        $request->validate([
            'user_id' => 'required|exists:users,id',
            'attendance_date' => 'required|date',
            'attendance_time' => 'required',
        ]);

        // Create a new attendance record
        $attendance = new Emp_attendance();
        $attendance->user_id = $request->user_id;
        $attendance->date = $request->attendance_date;
        $attendance->punch_in = $request->attendance_date . ' ' . $request->attendance_time;
        $attendance->save();

        // Optionally, you can return a response or redirect the user
        return redirect()->back()->with('success', 'Attendance recorded successfully!');
    }

    public function adminPunchOut(Request $request)
    {
        // Validate the incoming request data
        $request->validate([
            'attendance_id' => 'required|exists:emp_attendances,id',
            'punch_out_date' => 'required|date',
            'punch_out_time' => 'required',
        ]);

        // Find the attendance record
        $attendance = Emp_attendance::findOrFail($request->attendance_id);

        // Update punch out time
        $attendance->punch_out = $request->punch_out_date . ' ' . $request->punch_out_time;
        $attendance->save();

        // Optionally, you can return a response or redirect the user
        return redirect()->back()->with('success', 'Punch out recorded successfully!');
    }

    public function adminLunchBreakPunchIn(Request $request)
    {
        // Validate the incoming request data
        $request->validate([
            'attendance_id' => 'required|exists:emp_attendances,id',
            'lunch_break_in_date' => 'required|date',
            'lunch_break_in_time' => 'required',
        ]);

        // Find the attendance record
        $attendance = Emp_attendance::findOrFail($request->attendance_id);

        // Update lunch break in time
        $attendance->lunch_break_in = $request->lunch_break_in_date . ' ' . $request->lunch_break_in_time;
        $attendance->save();

        // Optionally, you can return a response or redirect the user
        return redirect()->back()->with('success', 'Lunch break punched in successfully!');
    }

    public function adminLunchBreakPunchOut(Request $request)
    {
        // Validate the incoming request data
        $request->validate([
            'attendance_id' => 'required|exists:emp_attendances,id',
            'lunch_break_out_date' => 'required|date',
            'lunch_break_out_time' => 'required',
        ]);

        // Find the attendance record
        $attendance = Emp_attendance::findOrFail($request->attendance_id);

        // Update lunch break out time
        $attendance->lunch_break_out = $request->lunch_break_out_date . ' ' . $request->lunch_break_out_time;
        $attendance->save();

        // Optionally, you can return a response or redirect the user
        return redirect()->back()->with('success', 'Lunch break punched out successfully!');
    }

    private function calculateLunchBreakHours($lunchBreakIn, $lunchBreakOut)
    {
        $lunchBreakIn = Carbon::parse($lunchBreakIn);
        $lunchBreakOut = Carbon::parse($lunchBreakOut);
        return $lunchBreakOut->diffInHours($lunchBreakIn);
    }

    private function calculateTotalWorkingHours($attendances)
    {
        $totalSeconds = 0;

        foreach ($attendances as $attendance) {
            if ($attendance->working_hours) {
                $totalSeconds += $attendance->working_hours * 3600; // Convert hours to seconds
            }
        }

        $hours = floor($totalSeconds / 3600);
        $totalSeconds %= 3600;
        $minutes = floor($totalSeconds / 60);
        $seconds = $totalSeconds % 60;

        return [
            'hours' => $hours,
            'minutes' => $minutes,
            'seconds' => $seconds
        ];
    }

    private function calculateWorkingHours($punchIn, $punchOut)
    {
        $punchIn = Carbon::parse($punchIn);
        $punchOut = Carbon::parse($punchOut);
        return $punchOut->diffInHours($punchIn);
    }

    public function empshowattendance(){
        $attendance = Emp_attendance::all();
        return view ('employee.attendance.showattendance',compact('attendance'));
    }
}
