<?php

namespace App\Http\Controllers;

use App\Models\LeadCategory;
use App\Models\Leads;
use Illuminate\Http\Request;

class LeadsController extends Controller
{

    public function index()
    {
        $leads = Leads::all();
        $leadCategory = LeadCategory::all();
        return view('dashforms.leads.addleads', compact('leads', 'leadCategory'));
    }


    public function leadscreate(Request $request)
    {

        /*$validatedData = $request->validate([
            'leads_category_id' => 'required|exists:categories,id',
            'name' => 'required|string|max:255',
            'email' => 'required|email|max:255',
            'phone' => 'required|string|max:20',
            'notes' => 'nullable|string',
        ]);*/


        $leads = new Leads();
        $leads->leads_category_id = $request->leads_category_id;
        $leads->name = $request->name;
        $leads->email = $request->email;
        $leads->phone = $request->phone;
        $leads->notes = $request->notes;
        $leads->save();

        return redirect()->route('lead.show')->with('success', 'Record created successfully!');
    }




    /**
     * Display the specified resource.
     */
    public function show()
    {
        $leads = Leads::paginate(10);
        return view('dashforms.leads.showleads', compact('leads'));
    }

    public function search(Request $request)
    {
        $search = $request->input('search');
        $leads = Leads::when($search, function ($query) use ($search) {
            return $query->where('leads', 'LIKE', '%' . $search . '%');
        });

        return view('dashforms.leads.addleads', compact('leads', 'search'));
    }
    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $leads = Leads::findOrFail($id);
        $leadCategory = LeadCategory::all();
        return view('dashforms.leads.updateleads', compact('leads', 'leadCategory'));
    }


    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
    {
        $validatedData = $request->validate([
            'leads_category_id' => 'required',
            'name' => 'required',
            'email' => 'required|email',
            'phone' => 'required',
            'notes' => 'nullable',
        ]);
        $leads = Leads::findOrFail($id);
        //$leads->update($validatedData);
        $leads->leads_category_id = $request->leads_category_id;
        $leads->name = $request->name;
        $leads->email = $request->email;
        $leads->phone = $request->phone;
        $leads->notes = $request->notes;
        $leads->save();
        return redirect()->route('lead.show')->with('success', 'Lead updated successfully!');
    }


    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id)
    {
        $leads = Leads::find($id);
        $leads->delete();
        return redirect()->back()->with('success', 'Leads deleted successfully');
    }
}
