<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\User;
use App\Models\Role;
use App\Models\Permission;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        User::insert([
            ['name' => 'Super Admin', 'email' => 'super-admin@gmail.com', 'password' => bcrypt('password')],
            ['name' => 'Admin', 'email' => 'admin@gmail.com', 'password' => bcrypt('password')],
            ['name' => 'User', 'email' => 'user@gmail.com', 'password' => bcrypt('password')],
        ]);

        Role::insert([
            ['name'=>'Super Admin', 'slug'=>'superadmin'],
            ['name'=>'Admin', 'slug'=>'admin'],
            ['name'=>'User', 'slug'=>'user'],

        ]);

        Permission::insert([
            ['name'=>'Super Admin', 'slug'=>'superadmin'],
            ['name'=>'Admin', 'slug'=>'admin'],
            ['name'=>'User', 'slug'=>'user'],

        ]);


    }
}
