@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'addattendance',
])

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">
                    <div class="card-body">
                        {{-- @if (session('success'))
                            <div class="alert alert-success" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if (session('error'))
                            <div class="alert alert-danger" role="alert">
                                {{ session('error') }}
                            </div>
                        @endif --}}
                        <div class="mb-5">
                            <h5>Add Attendance (USER)</h5>
                        </div>
                        <form method="POST" action="{{ route('attendance.punchIn') }}">
                            @csrf

                            <!-- Select User -->
                            <div class="form-group row">
                                <label for="user_id" class="col-md-4 col-form-label text-md-right">Select User</label>
                                <div class="col-md-6">
                                    <select id="user_id" class="form-control" name="user_id" required>
                                        <option value="">Select User</option>
                                        @foreach ($users as $user)
                                            <option value="{{ $user->id }}">{{ $user->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <!-- Attendance Date -->
                            <div class="form-group row">
                                <label for="attendance_date" class="col-md-4 col-form-label text-md-right">Attendance
                                    Date</label>
                                <div class="col-md-6">
                                    <input id="attendance_date" type="date" class="form-control" name="attendance_date"
                                        required>
                                </div>
                            </div>

                            <!-- Attendance Time -->
                            <div class="form-group row">
                                <label for="attendance_time" class="col-md-4 col-form-label text-md-right">Attendance
                                    Time</label>
                                <div class="col-md-6">
                                    <input id="attendance_time" type="time" class="form-control" name="attendance_time"
                                        required>
                                </div>
                            </div>

                            <!-- Lunch Break Punch In -->
                            <div class="form-group row">
                                <label for="lunch_break_in" class="col-md-4 col-form-label text-md-right">Lunch Break Punch
                                    In</label>
                                <div class="col-md-6">
                                    <input id="lunch_break_in" type="time" class="form-control" name="lunch_break_in">
                                </div>
                            </div>

                            <!-- Lunch Break Punch Out -->
                            <div class="form-group row">
                                <label for="lunch_break_out" class="col-md-4 col-form-label text-md-right">Lunch Break Punch
                                    Out</label>
                                <div class="col-md-6">
                                    <input id="lunch_break_out" type="time" class="form-control" name="lunch_break_out">
                                </div>
                            </div>

                            <!-- Punch Out Time -->
                            <div class="form-group row">
                                <label for="punch_out_time" class="col-md-4 col-form-label text-md-right">Punch Out
                                    Time</label>
                                <div class="col-md-6">
                                    <input id="punch_out_time" type="time" class="form-control" name="punch_out">
                                </div>
                            </div>

                            <!-- Submit Button -->
                            <div class="form-group row mb-0">
                                <div class="col-md-6 offset-md-4">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <!--Script to add current time automatically on clock_in-->
    <script>
        // Get current time
        document.addEventListener("DOMContentLoaded", function() {
            const now = new Date();

            // Format the time to HH:MM format
            const currentTime =
                `${String(now.getHours()).padStart(2, '0')}:${String(now.getMinutes()).padStart(2, '0')}`;

            // Set the current time as the value of the input field
            document.getElementById('clock_in').value = currentTime;
        });
    </script>
@endpush
