@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'addattendance',
])
<style>
    /* Late Animation */
    @keyframes late-animation {
        0% {
            transform: scale(1);
        }

        50% {
            transform: scale(1.1);
        }

        100% {
            transform: scale(1);
        }
    }

    /* On Time Animation */
    @keyframes on-time-animation {
        0% {
            transform: rotate(0deg);
        }

        50% {
            transform: rotate(5deg);
        }

        100% {
            transform: rotate(0deg);
        }
    }

    /* Apply animation to cells */
    .late-animation {
        animation: late-animation 1s infinite;
    }

    .on-time-animation {
        animation: on-time-animation 1s infinite;
    }
</style>

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">


                    <div class="d-flex justify-content-between align-items-center mb-5">
                        <div>
                            <h5 class="m-0">Attendance Records</h5>
                        </div>
                        <div>
                            <a class="btn btn-primary" href="{{ route('add.attendees') }}">ADD ATTENDES</a>
                        </div>
                    </div>


                    <table class="table text-center table-bordered">
                        <thead>
                            <tr>
                                <th>Date</th>
                                <th>Employee Name</th>
                                <th>Clock In</th>
                                <th>Clock Out</th>
                                <th>Lunch Start</th>
                                <th>Lunch End</th>
                                <th>Total Working Hours</th> <!-- Add this line -->
                                <th>Is Late</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($attendance as $attendance)
                                <tr>
                                    <td>{{ $attendance->date }}</td>
                                    <td>{{ $attendance->user_id }}</td>
                                    <td>{{ $attendance->clock_in }}</td>
                                    <td>{{ $attendance->clock_out }}</td>
                                    <td>{{ $attendance->lunch_start }}</td>
                                    <td>{{ $attendance->lunch_end }}</td>
                                    <td>{{ $attendance->total_working_hours }} hrs</td> <!-- Add this line -->
                                    <td class="{{ $attendance->is_late ? 'text-danger late-animation' : 'text-success on-time-animation' }}"
                                        style="font-weight: 750;">
                                        {{ $attendance->is_late ? 'Late' : 'On Time' }}
                                    </td>

                                    <td>
                                        <a class="btn btn-danger"
                                            href="{{ route('delete.attendees', ['id' => $attendance->id]) }}"><i
                                                class="fa-solid fa-trash"></i></a>
                                    </td>

                                </tr>
                            @endforeach
                        </tbody>
                    </table>




                </div>

            </div>
        </div>
    </div>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    @if (Session::has('success'))
        swal({
            title: "Success",
            text: "{{ Session::get('success') }}",
            icon: "success",
            timer: 3000
        });
    @endif

    @if (Session::has('error'))
        swal({
            title: "Error",
            text: "{{ Session::get('error') }}",
            icon: "error",
            timer: 4000
        });
    @endif
</script>
