@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'add',
])

<style>
    .form_buttons {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .search-form {
        margin: 0;
    }

    .form_buttonss {
        margin-right: 10px;
    }

    .search-input {
        width: 200px;
        margin-right: 5px;
    }

    .add-company-button {
        text-align: end;
    }
</style>

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">
                    <div class="form_buttons mb-4">
                        {{-- <div class="add-company-button">
                            <a class="btn btn-primary text-white" href="{{ route('addcompany') }}">Add Company</a>
                        </div>--}}
                        <div class="head_title_section">
                            <h5>Companies</h5>
                        </div>
                        <form action="{{ route('company.show') }}" method="GET" class="search-form">
                            <div class="form-group form_buttonss d-flex align-items-center">
                                <span class="mr-2">Search:</span>
                                <input type="search" name="search" class="form-control search-input"
                                    placeholder="Search..." aria-describedby="helpId" value="{{ $search }}">
                                <!--<button type="submit" class="btn btn-primary search-btn">Search</button>-->
                            </div>
                        </form>

                       
                    </div>


                    <div class="table_info w-100">
                        <table class="table table-striped table-bordered text-center">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Image</th>
                                    <th>VAT</th>
                                    <th>Address</th>
                                    <th>Phone</th>
                                    <th>Email</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>

                                @foreach ($company as $companies)
                                    <tr>

                                        <td scope="row">{{ $companies->name }}</td>
                                        <td>
                                            <img src="{{ asset('company_images/' . $companies->image) }}" width="100"
                                                alt="{{ $companies->name }}">

                                        </td>
                                        <td scope="row">{{ $companies->vat }}</td>
                                        <td scope="row">{{ $companies->address }}</td>
                                        <td scope="row">{{ $companies->phone }}</td>
                                        <td scope="row">{{ $companies->email }}</td>
                                        <td>
                                            <a class="btn bg-warning text-white p-2"
                                                href="{{ route('company.edit', ['id' => $companies->id]) }}"><i
                                                    class="fa-solid fa-pen-to-square"></i></a>
                                            <a class="btn bg-danger text-white p-2"
                                                href="{{ route('company.delete', ['id' => $companies->id]) }}"><i
                                                    class="fa-solid fa-trash"></i></a>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>

                    </div>
                    {{ $company->links('pagination::bootstrap-5') }}
                </div>
            </div>
        </div>
    </div>
@endsection
