@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'company',
])


@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="wrapperss">
                    <div style="text-align: end">
                        <a class="btn btn-primary" href="{{ route('company.show') }}"><i class="fa-solid fa-less-than fa-xs mr-2"></i>Back</a>
                    </div>
                    <form action="{{ route('company.update', ['id' => $company->id]) }}" method="post"
                        enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">
                            <label for="name">Update Name:</label>
                            <input type="text" id="name" name="name" class="form-control"
                                value="{{ $company->name }}">
                        </div>

                        <div class="form-group">
                            <label for="image">Update Image:</label>
                            <input type="file" name="image" id="image" value="{{ $company->image }}">
                            <img src="{{ asset('company_images/' . $company->image) }}" width="100" alt="">
                        </div>

                        <div class="form-group">
                            <label for="vat">Update VAT:</label>
                            <input type="text" id="vat" name="vat" class="form-control"
                                value="{{ $company->vat }}">
                        </div>

                        <div class="form-group">
                            <label for="address">Update Address:</label>
                            <input type="text" id="address" name="address" class="form-control"
                                value="{{ $company->address }}">
                        </div>

                        <div class="form-group">
                            <label for="phone">Update Phone Number:</label>
                            <input type="tel" id="phone" name="phone" class="form-control"
                                value="{{ $company->phone }}">
                        </div>

                        <div class="form-group">
                            <label for="email">Update Email:</label>
                            <input type="email" id="email" name="email" class="form-control"
                                value="{{ $company->email }}">
                        </div>

                        <div class="form-group">
                            <label for="password">Update Password:</label>
                            <input type="password" id="password" name="password" class="form-control"
                                value="{{ $company->password }}">
                        </div>.

                        <button type="submit" class="btn btn-primary m-0">Update Company</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    @if (Session::has('success'))
        swal({
            title: "Success",
            text: "{{ Session::get('success') }}",
            icon: "success",
            timer: 3000
        });
    @endif

    @if (Session::has('error'))
        swal({
            title: "Error",
            text: "{{ Session::get('error') }}",
            icon: "error",
            timer: 4000
        });
    @endif
</script>
