@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'company',
])


<!-- Bootstrap CDN for MODAL button -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">


<style>
    .modal-dialog{
        margin: 7.75rem auto !important;
    }
</style>


@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">

                    <!--Designation Table Add-->

                    <div class="d-flex justify-content-between">
                        <div class="d-flex align-items-center">
                            <h5>Designations</h5>
                        </div>

                        
                        <!-- Button to trigger modal -->
                        <div>
                            <button type="button" class="btn btn-primary" data-bs-toggle="modal"
                                data-bs-target="#addFormModal">
                                Add designations
                            </button>

                            <!-- Modal -->
                            <div class="modal fade" id="addFormModal" tabindex="-1" aria-labelledby="addFormModalLabel"
                                aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="addFormModalLabel">Add Designations</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <!-- Your form content -->
                                            <form action="{{ route('adddesignation') }}" method="POST"
                                                enctype="multipart/form-data">
                                                @csrf
                                                {{-- <div class="input-group mb-3 row">
                                            <lable class="mb-3"><strong>Designation ID:</strong></lable>
                                            <input type="number" id="designation_id" name="designation_id"
                                                class="form-control ml-3" min="0" max="100" step="1" required>
                                        </div> --}}
                                                <div class="mb-3">
                                                    <label for="designation" class="form-label"><strong>Add
                                                            designation</strong></label>
                                                    <input type="text" class="form-control" name="designation"
                                                        id="designation" aria-describedby="helpId" />
                                                </div>
                                                <button class="btn btn-primary">Submit</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                    <!--Designation Table Show-->

                    <div class="mt-5">
                        <!--<h3 class="text-center">DESIGNATIONS</h3>-->
                        <div class="table_info w-100">
                            <table class="table table-striped table-bordered text-center">
                                <thead>
                                    <tr>
                                        <!--<th>DESIGNATION ID</th>-->
                                        <th>TITLE</th>
                                        <th>ACTION</th>
                                    </tr>
                                </thead>

                                <tbody>

                                    @foreach ($designation as $desig)
                                        <tr>
                                            {{-- <td>{{ $desig->designation_id }}</td> --}}
                                            <td>{{ $desig->designation }}</td>
                                            <td>
                                                <a class="btn bg-warning text-white p-2"
                                                    href="{{ route('designation.edit', ['id' => $desig->id]) }}"><i
                                                        class="fa-solid fa-pen-to-square"></i></a>
                                                <a class="btn bg-danger text-white p-2"
                                                    href="{{ route('designation.delete', ['id' => $desig->id]) }}"><i
                                                        class="fa-solid fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                            {{-- Pagination --}}
                            <div>
                                {{ $designation->links('vendor.pagination.bootstrap-5') }}
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    @if (Session::has('success'))
        swal({
            title: "Success",
            text: "{{ Session::get('success') }}",
            icon: "success",
            timer: 3000
        });
    @endif

    @if (Session::has('error'))
        swal({
            title: "Error",
            text: "{{ Session::get('error') }}",
            icon: "error",
            timer: 4000
        });
    @endif
</script>
