@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'leads',
])


<style>
    tr {
        text-align: center;
    }
</style>

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">

                    <div class="d-flex justify-content-between align-items-center mb-5">
                        <div class="head_title_section">
                            <h5>ADD LEADS</h5>
                        </div>
                        <div>
                            <a class="btn btn-primary" href="{{ route('lead.show') }}">All Leads</a>
                        </div>
                    </div>

                    <form action="{{ route('add.lead') }}" method="POST" enctype="multipart/form-data">
                        @csrf

                        <div class="mb-3">
                            <label for="category" class="form-label">Category</label>
                            <select class="form-select" id="category" name="leads_category_id" required>
                                <option value="" selected disabled>Select Category</option>
                                @foreach ($leadCategory as $category)
                                    <option value="{{ $category->id }}">{{ $category->lead_categories }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="mb-3">
                            <label for="name" class="form-label">Name</label>
                            <input type="text" class="form-control" id="name" name="name" required>
                        </div>

                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" name="email" required>
                        </div>

                        <div class="mb-3">
                            <label for="phone" class="form-label">Phone Number</label>
                            <input type="tel" class="form-control" id="phone" name="phone" required>
                        </div>

                        <div class="mb-3">
                            <label for="notes" class="form-label">Notes</label>
                            <textarea class="form-control" id="notes" name="notes" rows="3"></textarea>
                        </div>

                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    @if (Session::has('success'))
        swal({
            title: "Success",
            text: "{{ Session::get('success') }}",
            icon: "success",
            timer: 3000
        });
    @endif

    @if (Session::has('error'))
        swal({
            title: "Error",
            text: "{{ Session::get('error') }}",
            icon: "error",
            timer: 4000
        });
    @endif
</script>
