@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'leads',
])

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">

                    <div class="d-flex justify-content-between align-items-center mb-5">
                        <div class="head_title_section">
                            <h5>ALL LEADS</h5>
                        </div>
                        <div>
                            <a class="btn btn-primary" href="{{ route('add.lead') }}">ADD LEADS</a>
                        </div>
                    </div>

                    <table class="table table-striped table-bordered text-center">
                        <thead>
                            <tr>
                                <th>Category</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Phone</th>
                                <th>Notes</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($leads as $lead)
                                <tr>
                                    <td>{{ $lead->leads_category_id }}</td>
                                    <td>{{ $lead->name }}</td>
                                    <td>{{ $lead->email }}</td>
                                    <td>{{ $lead->phone }}</td>
                                    <td>{{ $lead->notes }}</td>
                                    <td>
                                        <a class="btn bg-warning text-white p-2"
                                            href="{{ route('lead.edit', ['id' => $lead->id]) }}"><i
                                                class="fa-solid fa-pen-to-square"></i></a>
                                        <a class="btn bg-danger text-white p-2"
                                            href="{{ route('lead.delete', ['id' => $lead->id]) }}"><i
                                                class="fa-solid fa-trash"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <!-- Pagination Links -->
                    <div class="pagination justify-content-center">
                        {{ $leads->links() }}
                    </div>

                </div>
            </div>
        </div>
    </div>
@endsection
