@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'leads',
])

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">

                    <form action="{{ route('lead.update', ['id' => $leads->id]) }}" method="POST"
                        enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        
                        <div class="mb-3">
                            <label for="category" class="form-label">Category</label>
                            <select class="form-select" id="category" name="leads_category_id" required>
                                <option value="" selected disabled>Select Category</option>
                                @foreach ($leadCategory as $category)
                                    <option value="{{ $category->id }}"
                                        {{ $leads->leads_category_id == $category->id ? 'selected' : '' }}>
                                        {{ $category->lead_categories }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="mb-3">
                            <label for="name" class="form-label">Name</label>
                            <input type="text" class="form-control" id="name" name="name"
                                value="{{ $leads->name }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" name="email"
                                value="{{ $leads->email }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="phone" class="form-label">Phone Number</label>
                            <input type="tel" class="form-control" id="phone" name="phone"
                                value="{{ $leads->phone }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="notes" class="form-label">Notes</label>
                            <textarea class="form-control" id="notes" name="notes" rows="3">{{ $leads->notes }}</textarea>
                        </div>

                        <button type="submit" class="btn btn-primary">Update</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
@endsection
