@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'addusers',
])


@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">
                    <div class="head_title_section mb-5">
                        <h5>Add Users</h5>
                    </div>
                    <form action="{{ route('add.users') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="mb-3">
                            <label for="name" class="form-label">Name</label>
                            <input type="text" class="form-control" id="name" name="name">
                        </div>

                        <div class="mb-3">
                            <label for="company" class="form-label">Company</label>
                            <select class="form-select" id="company" name="company_id">
                                <option value="" selected disabled>Select Company</option>
                                @foreach ($companies as $company)
                                    <option value="{{ $company->id }}">{{ $company->name }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="mb-3">
                            <label for="company" class="form-label">Designation</label>
                            <select class="form-select" id="designation" name="designation_id">
                                <option value="" selected disabled>Select Designation</option>
                                @foreach ($designation as $design)
                                    <option value="{{ $design->id }}">{{ $design->designation }}</option>
                                @endforeach
                            </select>
                        </div>

                        <!--<div class="mb-3">
                                    <label for="design" class="form-label">Designation</label>
                                    <input type="text" class="form-control" id="designation" name="designation">
                                </div>-->

                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" name="email">
                        </div>
                        <div class="mb-3">
                            <label for="phone" class="form-label">Phone Number</label>
                            <input type="tel" class="form-control" id="phone" name="phone">
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" class="form-control" id="password" name="password">
                        </div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>

            </div>
        </div>
    </div>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    @if (Session::has('success'))
        swal({
            title: "Success",
            text: "{{ Session::get('success') }}",
            icon: "success",
            timer: 3000
        });
    @endif

    @if (Session::has('error'))
        swal({
            title: "Error",
            text: "{{ Session::get('error') }}",
            icon: "error",
            timer: 4000
        });
    @endif
</script>
