@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'allusers',
])

<style>

</style>

@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">
                    <div class="d-flex justify-content-between">
                        <div class="d-flex align-items-center">
                            <h5>All Users</h5>
                        </div>
                        <div>
                            <a class="btn btn-primary text-white" href="{{ route('add.users') }}">Add Users</a>
                        </div>
                    </div>

                    <div class="form_buttons d-flex justify-content-end mt-3">
                        <form action="{{ route('user.search') }}" method="GET" class="search-form w-25">
                            <div class="form-group d-flex justify-content-center align-items-center">
                                <span class="mr-2">Search:</span>
                                <input type="search" name="search" class="form-control search-input"
                                    placeholder="Search..." aria-describedby="helpId" value="{{ $search }}">
                                <!--<button type="submit" class="btn btn-primary search-btn m-0">Search</button>-->
                            </div>
                        </form>
                    </div>

                    <div class="table_info w-100">
                        <table class="table table-striped table-bordered text-center">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Company</th>
                                    <th>Designation</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>

                                @foreach ($users as $useritems)
                                    <tr>
                                        <td scope="row">{{ $useritems->name }}</td>
                                        <td scope="row">{{ $useritems->company_id }}</td>
                                        <td scope="row">{{ $useritems->designation_id }}</td>
                                        <td scope="row">{{ $useritems->email }}</td>
                                        <td scope="row">{{ $useritems->phone }}</td>


                                        <td>
                                            <a class="btn bg-warning text-white"
                                                href="{{ route('user.edits', $useritems->id) }}">
                                                <i class="fa-solid fa-pen-to-square"></i>
                                            </a>

                                            <a class="btn bg-danger text-white"
                                                href="{{ route('user.delete', ['id' => $useritems->id]) }}"><i
                                                    class="fa-solid fa-trash"></i></a>
                                        </td>

                                    </tr>
                                @endforeach

                            </tbody>
                        </table>

                    </div>
                    {{ $users->links('pagination::bootstrap-5') }}
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <script>
        function SelectText(element) {
            var doc = document,
                text = element,
                range, selection;
            if (doc.body.createTextRange) {
                range = document.body.createTextRange();
                range.moveToElementText(text);
                range.select();
            } else if (window.getSelection) {
                selection = window.getSelection();
                range = document.createRange();
                range.selectNodeContents(text);
                selection.removeAllRanges();
                selection.addRange(range);
            }
        }
        window.onload = function() {
            var iconsWrapper = document.getElementById('icons-wrapper'),
                listusers = iconsWrapper.getElementsByTagName('li');
            for (var i = 0; i < listusers.length; i++) {
                listusers[i].onclick = function fun(event) {
                    var selectedTagName = event.target.tagName.toLowerCase();
                    if (selectedTagName == 'p' || selectedTagName == 'em') {
                        SelectText(event.target);
                    } else if (selectedTagName == 'input') {
                        event.target.setSelectionRange(0, event.target.value.length);
                    }
                }

                var beforeContentChar = window.getComputedStyle(listusers[i].getElementsByTagName('i')[0], '::before')
                    .getPropertyValue('content').replace(/'/g, "").replace(/"/g, ""),
                    beforeContent = beforeContentChar.charCodeAt(0).toString(16);
                var beforeContentElement = document.createElement("em");
                beforeContentElement.textContent = "\\" + beforeContent;
                listusers[i].appendChild(beforeContentElement);

                //create input element to copy/paste chart
                var charCharac = document.createElement('input');
                charCharac.setAttribute('type', 'text');
                charCharac.setAttribute('maxlength', '1');
                charCharac.setAttribute('readonly', 'true');
                charCharac.setAttribute('value', beforeContentChar);
                listusers[i].appendChild(charCharac);
            }
        }
    </script>
@endpush
