@extends('layouts.app', [
    'class' => '',
    'elementActive' => 'addattendance',
])

<style>
    table {
        width: 100%;
        border-collapse: collapse;
        text-align: center;
    }

    table th,
    table td {
        border: 1px solid #ccc;
        padding: 8px;
    }

    .attendance_forms button {
        background-color: #007bff;
        color: #fff;
        border: none;
        cursor: pointer;
        border-radius: 5px;
        transition: transform 0.3s ease;
        width: 12rem;
        padding: 1.5rem 2rem;
        border-radius: 3rem;
        font-size: 1.2rem;
        font-weight: 800;
    }

    .punch_out {
        background-color: red !important;
    }

    button:hover {
        background-color: #0056b3;
    }

    #live-timer {
        text-align: center;
        font-size: 2rem;
        margin-bottom: 1rem
    }
</style>


@section('content')
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">

                    <div class="mb-5">
                        <h5>Enter your Attendance</h5>
                    </div>
                    <div id="live-timer"></div>


                    <div class="attendance_forms d-flex justify-content-around mb-5">

                        <!-- Punch In Form -->
                        @if (!$attendanceAdded)
                            <form id="punchInForm" action="{{ route('attendance.punchIn') }}" method="POST"
                                enctype="multipart/form-data">
                                @csrf
                                <button id="punchInButton" class="punch_in" type="submit"
                                    onclick="disableButton('punchInButton')"><span class="text">Punch
                                        In</button>
                            </form>
                        @endif

                        <!-- Lunch Break Punch In Form -->
                        @if ($punchInCompleted && !$lunchPunchInCompleted)
                            <form id="lunchPunchInForm" action="{{ route('attendance.lunchBreakPunchIn') }}" method="POST"
                                enctype="multipart/form-data">
                                @csrf
                                <button id="lunchPunchInButton" class="punch_in" type="submit"
                                    onclick="disableButton('lunchPunchInButton')">Lunch Break Start</button>
                            </form>
                        @endif

                        <!-- Lunch Break Punch Out Form -->
                        @if ($lunchPunchInCompleted && !$lunchPunchOutCompleted)
                            <form id="lunchPunchOutForm" action="{{ route('attendance.lunchBreakPunchOut') }}"
                                method="POST" enctype="multipart/form-data">
                                @csrf
                                <button id="lunchPunchOutButton" class="punch_out" type="submit"
                                    onclick="disableButton('lunchPunchOutButton')">Lunch Break End</button>
                            </form>
                        @endif

                        <!-- Punch Out Form -->
                        @if ($lunchPunchOutCompleted && !$punchOutCompleted)
                            <form id="punchOutForm" action="{{ route('attendance.punchOut') }}" method="POST"
                                enctype="multipart/form-data">
                                @csrf
                                <button id="punchOutButton" class="punch_out" type="submit"
                                    onclick="disableButton('punchOutButton')">Punch Out</button>
                            </form>
                        @endif

                        <!-- Message for completed attendance -->
                        @if ($attendanceAdded && $punchInCompleted && $lunchPunchInCompleted && $lunchPunchOutCompleted && $punchOutCompleted)
                            <h5 class="animate__animated animate__heartBeat text-success ">You have added attendance for
                                today.</h5>
                        @endif



                        {{-- <form id="punchInForm" action="{{ route('attendance.punchIn') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <button id="punchInButton" class="punch_in" type="submit">Punch In</button>
                        </form>

                        <form id="lunchPunchInForm" action="{{ route('attendance.lunchBreakPunchIn') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <button id="lunchPunchInButton" class="punch_in" type="submit">Lunch Break Start</button>
                        </form>


                        <form id="lunchPunchOutForm" action="{{ route('attendance.lunchBreakPunchOut') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <button id="lunchPunchOutButton" class="punch_out" type="submit">Lunch Break End</button>
                        </form>


                        <form id="punchOutForm" action="{{ route('attendance.punchOut') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <button id="punchOutButton" class="punch_out" type="submit">Punch Out</button>
                        </form> --}}

                    </div>


                    {{--<div>
                        <div class="mb-4">
                            <h5>Attendance History</h5>
                        </div>
                        <table>
                            <tr>
                                <th>Date</th>
                                <th>Punch In</th>
                                <th>Lunch Punch In</th>
                                <th>Lunch Punch Out</th>
                                <th>Punch Out</th>
                                <th>Working Hours</th>
                                <th>Lunch Break Hours</th>
                                <th>Action</th>
                            </tr>
                            @foreach ($attendances as $attendance)
                                <tr>
                                    <td>{{ $attendance->date }}</td>
                                    <td>{{ $attendance->punch_in ?? '-' }}</td>
                                    <td>{{ $attendance->lunch_break_in ?? '-' }}</td>
                                    <td>{{ $attendance->lunch_break_out ?? '-' }}</td>
                                    <td>{{ $attendance->punch_out ?? '-' }}</td>
                                    <td>
                                        @if (is_array($attendance->working_hours))
                                            {{ $attendance->working_hours['hours'] ?? '-' }} hours,
                                            {{ $attendance->working_hours['minutes'] ?? '-' }} minutes,
                                            {{ $attendance->working_hours['seconds'] ?? '-' }} seconds
                                        @else
                                            {{ $attendance->working_hours }}
                                        @endif
                                    </td>
                                    <td>{{ $attendance->lunch_break_hours ?? '-' }}</td>
                                    <td>
                                        <a class="btn btn-primary"
                                            href="{{ route('deleteempattendees', ['id' => $attendance->id]) }}">Delete</a>
                                    </td>
                                </tr>
                            @endforeach
                        </table>

                    </div>--}}




                </div>
            </div>
        </div>
    </div>


    <script>
        function getCurrentDateTime() {
            return new Date();
        }

        function updateTimer() {
            var currentDateTime = getCurrentDateTime();
            var timerElement = document.getElementById('live-timer');
            var formattedDateTime = currentDateTime.toLocaleString();
            timerElement.textContent = formattedDateTime;
        }
        updateTimer();
        setInterval(updateTimer, 1000);
    </script>

    <!-- script for checking office WiFi -->
    <script>
        function checkOfficeWiFi() {
            var tempNetwork = new ActiveXObject("WScript.Network");
            var networkSSID = tempNetwork.ComputerName;

            // SSID of the office WiFi network
            var officeWiFiSSID = "Kamla Villa";
            if (networkSSID === officeWiFiSSID) {
                document.getElementById("punchInForm").submit();
            } else {
                alert(
                    "You are not connected to the office WiFi network. Attendance can only be submitted from the office."
                );
            }
        }
    </script>
@endsection
