<?php

use App\Http\Controllers\AttendanceController;
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\DesignationController;
use App\Http\Controllers\LeadCategoryController;
use App\Http\Controllers\Admin\Auth\AuthenticatedSessionController as AdminSessionController;
use App\Http\Controllers\Company\Auth\AuthenticatedSessionController as CompanySessionController;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Company\HomeController as CompanyHomeController;
use App\Http\Controllers\LeadsController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;



Route::get('/', function () {
    return view('welcome');
});

/*Route::get('/proposal', function () {
    return view('dashforms.office_works.proposal.addproposal');
});*/




//USERS CONTROLLER

Route::get('/add.users', [UsersController::class, 'index'])->name('users.index');
Route::post('/add.users', [UsersController::class, 'create'])->name('add.users');
Route::get('/usersearch', [UsersController::class, 'search'])->name('user.search');
Route::get('/usershow', [UsersController::class, 'show'])->name('user.show');
Route::get('/users/{user}/edit', [UsersController::class, 'edit'])->name('user.edits');
//Route::get('/user/{id}/edit', [UsersController::class, 'edit'])->name('user.edit');
Route::post('/userupdate/{id}', [UsersController::class, 'usersupdate'])->name('user.updates');
Route::get('/userdelete/{id}', [UsersController::class, 'delete'])->name('user.delete');

//USERS CONTROLLER





//ATTENDANCES CONTROLLER

Route::get('/addattendees', [AttendanceController::class, 'index']);
Route::post('/addattendees', [AttendanceController::class, 'create'])->name('add.attendees');
Route::get('showattendees', [AttendanceController::class, 'show'])->name('show.attendees');
Route::get('deleteattendees/{id}', [AttendanceController::class, 'destroy'])->name('delete.attendees');


//USER ATTENDANCE ROUTES

Route::get('/attendance', [AttendanceController::class, 'employeeindex'])->name('attendance.index');
Route::post('/attendance/punch-in', [AttendanceController::class, 'punchIn'])->name('attendance.punchIn');
Route::get('/showempattendance', [AttendanceController::class, 'empshowattendance'])->name('showempattendance');
Route::post('/attendance/punch-out', [AttendanceController::class, 'punchOut'])->name('attendance.punchOut');
Route::post('/employee/lunch-break-punch-in', [AttendanceController::class, 'lunchBreakPunchIn'])->name('attendance.lunchBreakPunchIn');
Route::post('/employee/lunch-break-punch-out', [AttendanceController::class, 'lunchBreakPunchOut'])->name('attendance.lunchBreakPunchOut');
Route::get('deleteempattendees/{id}', [AttendanceController::class, 'empdestroy'])->name('deleteempattendees');

//ATTENDANCES CONTROLLER






Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


Auth::routes();

Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home');




Route::group(['middleware' => 'auth'], function () {
    Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
    Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
    Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
    Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);
});

Route::group(['middleware' => ['auth', 'role:superadmin']], function () {
    //COMPANY CONTROLLER
    Route::get('/addcompany', [CompanyController::class, 'index'])->name('company.index');
    Route::post('/addcompany', [CompanyController::class, 'create'])->name('addcompany');
    Route::get('/companysearch', [CompanyController::class, 'search'])->name('company.search');
    Route::get('/companyshow', [CompanyController::class, 'show'])->name('company.show');
    Route::get('/companyedit/{id}', [CompanyController::class, 'edit'])->name('company.edit');
    Route::post('/companyupdate/{id}', [CompanyController::class, 'update'])->name('company.update');
    Route::get('/companydelete/{id}', [CompanyController::class, 'delete'])->name('company.delete');
    //COMPANY CONTROLLER

    //DESIGNATION CONTROLLER

    Route::get('/adddesigantion', [DesignationController::class, 'index'])->name('designation.index');
    Route::post('/adddesigantion', [DesignationController::class, 'create'])->name('adddesignation');
    Route::get('/designationsearch', [DesignationController::class, 'search'])->name('designation.search');
    Route::get('/designationshow', [DesignationController::class, 'show'])->name('designation.show');
    Route::get('/desingationedit/{id}', [DesignationController::class, 'edit'])->name('designation.edit');
    Route::post('/designationupdate/{id}', [DesignationController::class, 'update'])->name('designation.update');
    Route::get('/desingationdelete/{id}', [DesignationController::class, 'delete'])->name('designation.delete');

    //DESIGNATION CONTROLLER

    //LEAD CATEGORIES CONTROLLER

    Route::get('/add.lead.categories', [LeadCategoryController::class, 'index'])->name('lead.categories.index');
    Route::post('/add.lead.categories', [LeadCategoryController::class, 'create'])->name('add.lead.categories');
    Route::get('/lead.categories.search', [LeadCategoryController::class, 'search'])->name('lead.categories.search');
    Route::get('/lead.categories.show', [LeadCategoryController::class, 'show'])->name('lead.categories.show');
    Route::get('/lead.categories.edit/{id}', [LeadCategoryController::class, 'edit'])->name('lead.categories.edit');
    Route::post('/lead.categories.update/{id}', [LeadCategoryController::class, 'update'])->name('lead.categories.update');
    Route::get('/lead.categories.delete/{id}', [LeadCategoryController::class, 'destroy'])->name('lead.categories.delete');

    //LEAD CATEGORIES CONTROLLER


    //LEAD CONTROLLER

    Route::get('/add.lead', [LeadsController::class, 'index'])->name('lead.index');
    Route::post('/add.lead', [LeadsController::class, 'leadscreate'])->name('add.lead');
    Route::get('/lead.search', [LeadsController::class, 'search'])->name('lead.search');
    Route::get('/lead.show', [LeadsController::class, 'show'])->name('lead.show');
    Route::get('/lead.edit/{id}', [LeadsController::class, 'edit'])->name('lead.edit');
    Route::put('/lead.update/{id}', [LeadsController::class, 'update'])->name('lead.update');
    Route::get('/lead.delete/{id}', [LeadsController::class, 'destroy'])->name('lead.delete');

    //LEAD CONTROLLER
});


Route::group(['middleware' => 'auth'], function () {
    Route::get('{page}', ['as' => 'page.index', 'uses' => 'App\Http\Controllers\PageController@index']);
});


//Company Auth

Route::namespace('Company')
    ->prefix('company')->name('company.')->group(function () {
        Route::namespace('Auth')->group(function () {
            // Login Route for Company
            Route::get('login', [CompanySessionController::class, 'index'])->name('signin');
            Route::post('login', [CompanySessionController::class, 'store'])->name('companylogin');
        });
        Route::get('/home', [CompanyHomeController::class, 'companyindex'])->name('companyhome');
    });
/*Route::namespace('Company')
    ->prefix('company')
    ->name('company.')
    ->middleware(['web', 'auth', 'App\Http\Middleware\Company'])
    ->group(function () {
        Route::namespace('Auth')->group(function () {
            // Login Route for Company
            Route::get('login', [CompanySessionController::class, 'index'])->name('signin');
            Route::post('login', [CompanySessionController::class, 'store'])->name('companylogin');
        });
        Route::get('/home', [CompanyHomeController::class, 'companyindex'])->name('companyhome');
    });*/

//Company Auth


//Super Admin

/*Route::namespace('Admin')
    ->prefix('admin')
    ->name('admin.')
    ->group(function () {
        Route::namespace('Auth')->middleware('guest:SuperAdmin')
            ->group(function () {
                Route::get('login', [AdminSessionController::class, 'create'])->name('login');
                Route::post('login', [AdminSessionController::class, 'store'])->name('adminlogin');
            });

        Route::middleware('isSuperAdmin')->group(function () {
            Route::get('/home', [HomeController::class, 'index'])->name('home');

            Route::post('/logout', [AdminSessionController::class, 'destroy'])->name('superadmin.logout');
        });
    });*/

//Super Admin
