
<style>
    /* Late Animation */
    @keyframes late-animation {
        0% {
            transform: scale(1);
        }

        50% {
            transform: scale(1.1);
        }

        100% {
            transform: scale(1);
        }
    }

    /* On Time Animation */
    @keyframes on-time-animation {
        0% {
            transform: rotate(0deg);
        }

        50% {
            transform: rotate(5deg);
        }

        100% {
            transform: rotate(0deg);
        }
    }

    /* Apply animation to cells */
    .late-animation {
        animation: late-animation 1s infinite;
    }

    .on-time-animation {
        animation: on-time-animation 1s infinite;
    }
</style>

<?php $__env->startSection('content'); ?>
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="wrapperss">


                    <div class="d-flex justify-content-between align-items-center mb-5">
                        <div>
                            <h5 class="m-0">Attendance Records</h5>
                        </div>
                        <div>
                            <a class="btn btn-primary" href="<?php echo e(route('add.attendees')); ?>">ADD ATTENDES</a>
                        </div>
                    </div>


                    <table class="table text-center table-bordered">
                        <thead>
                            <tr>
                                <th>Date</th>
                                <th>Employee Name</th>
                                <th>Clock In</th>
                                <th>Clock Out</th>
                                <th>Lunch Start</th>
                                <th>Lunch End</th>
                                <th>Total Working Hours</th> <!-- Add this line -->
                                <th>Is Late</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $attendance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attendance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($attendance->date); ?></td>
                                    <td><?php echo e($attendance->user_id); ?></td>
                                    <td><?php echo e($attendance->clock_in); ?></td>
                                    <td><?php echo e($attendance->clock_out); ?></td>
                                    <td><?php echo e($attendance->lunch_start); ?></td>
                                    <td><?php echo e($attendance->lunch_end); ?></td>
                                    <td><?php echo e($attendance->total_working_hours); ?> hrs</td> <!-- Add this line -->
                                    <td class="<?php echo e($attendance->is_late ? 'text-danger late-animation' : 'text-success on-time-animation'); ?>"
                                        style="font-weight: 750;">
                                        <?php echo e($attendance->is_late ? 'Late' : 'On Time'); ?>

                                    </td>

                                    <td>
                                        <a class="btn btn-danger"
                                            href="<?php echo e(route('delete.attendees', ['id' => $attendance->id])); ?>"><i
                                                class="fa-solid fa-trash"></i></a>
                                    </td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>




                </div>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    <?php if(Session::has('success')): ?>
        swal({
            title: "Success",
            text: "<?php echo e(Session::get('success')); ?>",
            icon: "success",
            timer: 3000
        });
    <?php endif; ?>

    <?php if(Session::has('error')): ?>
        swal({
            title: "Error",
            text: "<?php echo e(Session::get('error')); ?>",
            icon: "error",
            timer: 4000
        });
    <?php endif; ?>
</script>

<?php echo $__env->make('layouts.app', [
    'class' => '',
    'elementActive' => 'addattendance',
], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Employee_Management_System\resources\views/dashforms/attendance/showattendance.blade.php ENDPATH**/ ?>