<?php $__env->startSection('content'); ?>
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="container">
                    <div>
                        <a class="btn btn-info" href="<?php echo e(route('user.show')); ?>">Back</a>
                    </div>
                    <form action="<?php echo e(route('user.updates', ['id' => $users->id])); ?>" method="post" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="mb-3">
                            <label for="name" class="form-label">Name</label>
                            <input type="text" class="form-control" id="name" name="name" value="<?php echo e($users->name); ?>">
                        </div>
                
                        <div class="mb-3">
                            <label for="company" class="form-label">Company</label>
                            <select class="form-select" id="company" name="company_id">
                                <option value="" selected disabled>Select Company</option>
                                <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($company->id); ?>" <?php echo e($users->company_id == $company->id ? 'selected' : ''); ?>><?php echo e($company->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                
                        <div class="mb-3">
                            <label for="designation" class="form-label">Designation</label>
                            <select class="form-select" id="designation" name="designation_id">
                                <option value="" selected disabled>Select Designation</option>
                                <?php $__currentLoopData = $designations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $designation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($designation->id); ?>" <?php echo e($users->designation_id == $designation->id ? 'selected' : ''); ?>><?php echo e($designation->designation); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                
                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" name="email" value="<?php echo e($users->email); ?>">
                        </div>
                
                        <div class="mb-3">
                            <label for="phone" class="form-label">Phone Number</label>
                            <input type="tel" class="form-control" id="phone" name="phone" value="<?php echo e($users->phone); ?>">
                        </div>
                
                        <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" class="form-control" id="password" name="password">
                        </div>
                
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
                

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    // Function to hide success and error messages after a delay
    $(document).ready(function() {
        $("#success-message").delay(2000).fadeOut(500);
        $("#error-message").delay(2000).fadeOut(500);
    });
</script>

<script>
    <?php if(Session::has('success')): ?>
        swal({
            title: "Success",
            text: "<?php echo e(Session::get('success')); ?>",
            icon: "success",
            timer: 3000
        });
    <?php endif; ?>

    <?php if(Session::has('error')): ?>
        swal({
            title: "Error",
            text: "<?php echo e(Session::get('error')); ?>",
            icon: "error",
            timer: 4000
        });
    <?php endif; ?>
</script>

<?php echo $__env->make('layouts.app', [
    'class' => '',
    'elementActive' => 'addusers',
], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Employee_Management_System\resources\views/dashforms/users/updateusers.blade.php ENDPATH**/ ?>